import { type NvmNodeCommandOptions } from './node';
export declare function getNodeVersion(opts: NvmNodeCommandOptions, envSpecifier: string): Promise<{
    nodeVersion: string | null;
    nodeMirrorBaseUrl: string;
    releaseChannel: string;
    versionSpecifier: string;
}>;
export declare function downloadNodeVersion(opts: NvmNodeCommandOptions, envSpecifier: string): Promise<{
    nodeVersion: string;
    nodeDir: string;
    nodeMirrorBaseUrl: string;
} | null>;
